Añadir Bootstrap 4 al proyecto

Seguimos avanzando en el proyecto, ahora debemos usar Bootstrap 4 para la Vista (Ok, recuerden que Rails utiliza MVC). Este punto es algo complejo en la versión 5.2 de Rails, por lo que decidí usar “La vieja confiable” Railsinstaller con su versión 5.1 de Rails.

Veamos cómo añadir Bootstrap 4 al proyecto…

Añadimos las gemas de Bootstrap y JQuery a nuestro Gemfile:

gem 'bootstrap', '~> 4.1.3'
gem 'jquery-rails'

añadimos las gemas al proyecto

bundle install

Asegúrate que la gema sprockets-rails está en una versión superior a la 2.3.2

Cambiamos la extensión del archivo application.css a application.scss

$ mv app/assets/stylesheets/application.css app/assets/stylesheets/application.scss

Editamos el archivo application.scss y borramos todo lo que comience con *= require y *= require_tree

Luego, añadimos la llamada a los archivos CSS de bootstrap

@import "bootstrap";

A continuación, modificaremos el archivo application.js, para añadir los JS necesarios para Bootstrap. Agregamos lo siguiente al archivo:

//= require jquery3
//= require popper
//= require bootstrap

Ahora reiniciamos el servidor y probamos los cambios…

En estos momentos tenemos un proyecto con la Vista apoyada en Bootstrap y los 4 Mantenedores de las tablas para nuestros proyecto.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.